# GmagickPixel::setcolorvalue

(PECL gmagick >= Unknown)

GmagickPixel::setcolorvalue — Establece el valor normalizado de uno de los canales

### Descripción

public GmagickPixel::setcolorvalue(int `$color`, float `$value`): GmagickPixel

Establece el valor del canal especificado de este objeto al valor proporcionado, el cuál debería estar entre 0 y 1. Esta función se puede usar para proporcionar un canal de opacidad al objeto GmagickPixel.

### Parámetros

`color`

  Uno de las constantes de color de canal de Gmagick.

`value`

  El valor para establecer este canal tiene un rango desde 0 a 1.

### Valores devueltos

El objeto GmagickPixel si se tuvo éxtio.